#include "rppoutput.h"
#include <ktextbrowser.h>
#include <kprocess.h>
#include <qstringlist.h>
#include <kpushbutton.h>
RPPOutput::RPPOutput(QWidget* parent, const char* name, WFlags fl)
: RPPOutputWidget(parent,name,fl)
{
	connect(m_btncancel, SIGNAL(clicked()), this, SLOT(slotCancel()));
}

RPPOutput::~RPPOutput()
{
	if (m_process){
		m_process->kill();
		delete m_process;
	}
}

void RPPOutput::slotOutput(KProcess*, char* msg, int){
	m_txt->append(QString(msg));
}

void RPPOutput::show(QStringList cmdlist){
	RPPOutputWidget::show();
	m_process = new KProcess();
	connect(m_process, SIGNAL(receivedStdout(KProcess*, char*, int)), this, SLOT(slotOutput(KProcess*, char*, int)));
	connect(m_process, SIGNAL(receivedStderr(KProcess*, char*, int)), this, SLOT(slotOutput(KProcess*, char*, int)));
	connect(m_process, SIGNAL(processExited(KProcess*)), this, SLOT(slotProcessExited(KProcess*)));
	(*m_process) << cmdlist;
	m_process->start(KProcess::NotifyOnExit, KProcess::Communication(KProcess::Stdout | KProcess::Stderr));
}

void RPPOutput::slotCancel(){
	if (m_process){
		m_process->kill();
		delete m_process;
		m_process = 0;
	}
	m_btnok->setEnabled(true);
	m_btncancel->setEnabled(false);
};

void RPPOutput::slotProcessExited(KProcess*){
	if (m_process){
		delete m_process;
		m_process = 0;
	}
	m_btnok->setEnabled(true);
	m_btncancel->setEnabled(false);
};

#include "rppoutput.moc"

