
#ifndef RPPOUTPUT_H
#define RPPOUTPUT_H

#include "rppoutputwidget.h"
#include <kprocess.h>
#include <qstringlist.h>
/**
	This class is for showing the output of r++ inside a window
	@author Jonas B. Jacobi
*/
class RPPOutput : public RPPOutputWidget
{
  Q_OBJECT

public:
  RPPOutput(QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
  ~RPPOutput();
	/**show the widget and start a new KProcess with arglist as arguments */
	void show(QStringList arglist);

public slots:
	/**appends text to the KTextBrowser*/
	void slotOutput(KProcess*, char* text, int);

private slots:
	/**called, when the cancel button is pressed*/
	void slotCancel();
	/**called, when the r++ process exited*/
	void slotProcessExited(KProcess*);

private:
	KProcess* m_process;
};

#endif

